import { NgModule } from "@angular/core";
import { Routes, RouterModule } from "@angular/router";
import { environment } from "@env/environment";
// layout
import { LayoutDefaultComponent } from "../layout/default/default.component";

const routes: Routes = [
  {
    path: "",
    component: LayoutDefaultComponent,
    children: [
      { path: "", redirectTo: "home-page", pathMatch: "full" },
      {
        path: "home-page",
        loadChildren: "./home-page/home-page.module#HomePageModule"
      }
    ]
  }
];

@NgModule({
  imports: [RouterModule.forRoot(routes, { useHash: environment.useHash })],
  exports: [RouterModule]
})
export class RouteRoutingModule {}
